Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.common
Class LibraryObjectInterface

All Superinterfaces:
  Traceable

All Known Subinterfaces:
  DirectoryObjectInterface, ExtendedPermissionInterface, PolicyListElementInterface, PublicObjectInterface, SchemaObjectInterface, SystemObjectInterface

All Known Implementing Classes:
  AccessControlEntry, AccessControlList, ApplicationObject, ApplicationToken, Attribute, AuditHandlerSpecification, AuditSpecification, AuditTargetSpecification, AuditTypeEntry, AuditTypeList, AutoFolderingActionSpecification, BodyPartRelationship, BranchRelationship, Category, ClassAccessControlList, ClassDomain, ClassObject, ConfigurationCategory, ContentObject, ContentQuota, CustomMediaDriverSpecification, DefinitionObject, DirectoryGroup, DirectoryObject, DirectoryUser, Document, EmailUserProfile, ExtendedPermission, ExtendedUserProfile, ExternalRetentionPolicy, Family, Folder, FolderLink, FolderPathRelationship, FolderRelationship, Format, GroupMemberRelationship, HandlerState, InterMediaAudio, InterMediaAudioCdTrack, InterMediaImage, InterMediaMovie, InterMediaSource, InterMediaVideo, InternalRetentionPolicy, LibraryObject, LifecycleDateRuleSpecification, LifecyclePolicy, LifecyclePolicyActionSpecification, LifecyclePolicyEntry, Link, LockEntry, LockObject, Mailbox, MailDocument, MailFolder, Media, MediaBfile, MediaBlob, MediaCustom, MediaLob, MediaOperations.MediaOptionsTestMedia, Message, MountPoint, NamedRelationship, NodeConfiguration, NodeState, OperationActionSpecification, PermissionBundle, Policy, PolicyList, PolicyListElement, PolicyPropertyBundle, PrimaryUserProfile, Printer, PrintJob, Property, PropertyBundle, PublicObject, Queue, RecipeDocument, Relationship, RetentionPolicy, Rfc822ContentObject, Rfc822Message, RuntimeState, S_AccessControlEntry, S_AccessControlList, S_ApplicationObject, S_ApplicationToken, S_Attribute, S_AuditHandlerSpecification, S_AuditSpecification, S_AuditTargetSpecification, S_AuditTypeEntry, S_AuditTypeList, S_AutoFolderingActionSpecification, S_BodyPartRelationship, S_BranchRelationship, S_Category, S_ClassAccessControlList, S_ClassDomain, S_ClassObject, S_ConfigurationCategory, S_ContentObject, S_ContentQuota, S_CustomMediaDriverSpecification, S_DefinitionObject, S_DirectoryGroup, S_DirectoryObject, S_DirectoryUser, S_Document, S_EmailUserProfile, S_ExtendedPermission, S_ExtendedUserProfile, S_ExternalRetentionPolicy, S_Family, S_Folder, S_FolderLink, S_FolderPathRelationship, S_FolderRelationship, S_Format, S_GroupMemberRelationship, S_HandlerState, S_InterMediaAudio, S_InterMediaAudioCdTrack, S_InterMediaImage, S_InterMediaMovie, S_InterMediaSource, S_InterMediaVideo, S_InternalRetentionPolicy, S_LibraryObject, S_LifecycleDateRuleSpecification, S_LifecyclePolicy, S_LifecyclePolicyActionSpecification, S_LifecyclePolicyEntry, S_Link, S_LocalizerAppObject, S_LockEntry, S_LockObject, S_Mailbox, S_MailDocument, S_MailFolder, S_Media, S_MediaBfile, S_MediaBlob, S_MediaCustom, S_MediaLob, S_Message, S_MountPoint, S_NamedRelationship, S_NodeConfiguration, S_NodeState, S_OperationActionSpecification, S_PermissionBundle, S_Policy, S_PolicyList, S_PolicyListElement, S_PolicyPropertyBundle, S_PrimaryUserProfile, S_Printer, S_PrintJob, S_Property, S_PropertyBundle, S_PublicObject, S_Queue, S_RecipeDocument, S_Relationship, S_RetentionPolicy, S_Rfc822ContentObject, S_Rfc822Message, S_RuntimeState, S_SchemaCategory, S_SchemaObject, S_SearchObject, S_SelectorObject, S_ServerConfiguration, S_ServerState, S_ServiceConfiguration, S_ServiceState, S_SortObject, S_StorageGroup, S_SystemAccessControlList, S_SystemCategory, S_SystemLockEntry, S_SystemLockObject, S_SystemObject, S_TieAccessControlEntry, S_TieAccessControlList, S_TieApplicationObject, S_TieApplicationToken, S_TieAuditHandlerSpecification, S_TieAuditSpecification, S_TieAuditTargetSpecification, S_TieAuditTypeEntry, S_TieAuditTypeList, S_TieAutoFolderingActionSpecification, S_TieBodyPartRelationship, S_TieBranchRelationship, S_TieCategory, S_TieClassAccessControlList, S_TieClassDomain, S_TieConfigurationCategory, S_TieContentObject, S_TieContentQuota, S_TieCustomMediaDriverSpecification, S_TieDefinitionObject, S_TieDirectoryGroup, S_TieDirectoryObject, S_TieDirectoryUser, S_TieDocument, S_TieEmailUserProfile, S_TieExtendedPermission, S_TieExtendedUserProfile, S_TieExternalRetentionPolicy, S_TieFamily, S_TieFolder, S_TieFolderLink, S_TieFolderPathRelationship, S_TieFolderRelationship, S_TieFormat, S_TieGroupMemberRelationship, S_TieHandlerState, S_TieInterMediaAudio, S_TieInterMediaAudioCdTrack, S_TieInterMediaImage, S_TieInterMediaMovie, S_TieInterMediaSource, S_TieInterMediaVideo, S_TieInternalRetentionPolicy, S_TieLibraryObject, S_TieLifecycleDateRuleSpecification, S_TieLifecyclePolicy, S_TieLifecyclePolicyActionSpecification, S_TieLifecyclePolicyEntry, S_TieLink, S_TieLockEntry, S_TieLockObject, S_TieMailbox, S_TieMailDocument, S_TieMailFolder, S_TieMedia, S_TieMediaBfile, S_TieMediaBlob, S_TieMediaCustom, S_TieMediaLob, S_TieMessage, S_TieMountPoint, S_TieNamedRelationship, S_TieNodeConfiguration, S_TieNodeState, S_TieOperationActionSpecification, S_TiePermissionBundle, S_TiePolicy, S_TiePolicyList, S_TiePolicyListElement, S_TiePolicyPropertyBundle, S_TiePrimaryUserProfile, S_TiePrinter, S_TiePrintJob, S_TieProperty, S_TiePropertyBundle, S_TiePublicObject, S_TieQueue, S_TieRelationship, S_TieRetentionPolicy, S_TieRfc822ContentObject, S_TieRfc822Message, S_TieRuntimeState, S_TieSchemaCategory, S_TieSchemaObject, S_TieSearchObject, S_TieSelectorObject, S_TieServerConfiguration, S_TieServerState, S_TieServiceConfiguration, S_TieServiceState, S_TieSortObject, S_TieStorageGroup, S_TieSystemAccessControlList, S_TieSystemCategory, S_TieSystemLockEntry, S_TieSystemLockObject, S_TieSystemObject, S_TieUserProfile, S_TieValueDefault, S_TieValueDefaultPropertyBundle, S_TieValueDomain, S_TieValueDomainPropertyBundle, S_TieVersionDescription, S_TieVersionSeries, S_UserProfile, S_ValueDefault, S_ValueDefaultPropertyBundle, S_ValueDomain, S_ValueDomainPropertyBundle, S_VersionDescription, S_VersionSeries, SchemaCategory, SchemaObject, SearchObject, SelectorObject, ServerConfiguration, ServerState, ServiceConfiguration, ServiceState, SortObject, StorageGroup, SystemAccessControlList, SystemCategory, SystemLockEntry, SystemLockObject, SystemObject, T1kDocument, TieAccessControlEntry, TieAccessControlList, TieApplicationObject, TieApplicationToken, TieAuditHandlerSpecification, TieAuditSpecification, TieAuditTargetSpecification, TieAuditTypeEntry, TieAuditTypeList, TieAutoFolderingActionSpecification, TieBodyPartRelationship, TieBranchRelationship, TieCategory, TieClassAccessControlList, TieClassDomain, TieConfigurationCategory, TieContentObject, TieContentQuota, TieCustomMediaDriverSpecification, TieDefinitionObject, TieDirectoryGroup, TieDirectoryObject, TieDirectoryUser, TieDocument, TieEmailUserProfile, TieExtendedPermission, TieExtendedUserProfile, TieExternalRetentionPolicy, TieFamily, TieFolder, TieFolderLink, TieFolderPathRelationship, TieFolderRelationship, TieFormat, TieGroupMemberRelationship, TieHandlerState, TieInterMediaAudio, TieInterMediaAudioCdTrack, TieInterMediaImage, TieInterMediaMovie, TieInterMediaSource, TieInterMediaVideo, TieInternalRetentionPolicy, TieLibraryObject, TieLifecycleDateRuleSpecification, TieLifecyclePolicy, TieLifecyclePolicyActionSpecification, TieLifecyclePolicyEntry, TieLink, TieLockEntry, TieLockObject, TieMailbox, TieMailDocument, TieMailFolder, TieMedia, TieMediaBfile, TieMediaBlob, TieMediaCustom, TieMediaLob, TieMessage, TieMountPoint, TieNamedRelationship, TieNodeConfiguration, TieNodeState, TieOperationActionSpecification, TiePermissionBundle, TiePolicy, TiePolicyList, TiePolicyListElement, TiePolicyPropertyBundle, TiePrimaryUserProfile, TiePrinter, TiePrintJob, TieProperty, TiePropertyBundle, TiePublicObject, TieQueue, TieRelationship, TieRetentionPolicy, TieRfc822ContentObject, TieRfc822Message, TieRuntimeState, TieSchemaCategory, TieSchemaObject, TieSearchObject, TieSelectorObject, TieServerConfiguration, TieServerState, TieServiceConfiguration, TieServiceState, TieSortObject, TieStorageGroup, TieSystemAccessControlList, TieSystemCategory, TieSystemLockEntry, TieSystemLockObject, TieSystemObject, TieUserProfile, TieValueDefault, TieValueDefaultPropertyBundle, TieValueDomain, TieValueDomainPropertyBundle, TieVersionDescription, TieVersionSeries, UserProfile, ValueDefault, ValueDefaultPropertyBundle, ValueDomain, ValueDomainPropertyBundle, VersionDescription, VersionSeries

    public interface class LibraryObjectInterface

extends Traceable

LibraryObjectInterface defines methods common to LibraryObject and S_LibraryObject.

(Published)

Method Summary
`AttributeValue` | `getAttributeByUpperCaseName(java.lang.String attr_name)` Gets the attribute value for the specified attribute.
`java.lang.Long` | `getClassId()` Gets the class id of this LibraryObject.
`java.lang.Long` | `getId()` Gets the id of this LibraryObject.
`LibrarySessionInterface` | `getSessionInterface()` Gets the LibrarySessionInterface for this LibraryObject.

Methods inherited from interface oracle.ifs.common.Traceable
`getTraceLogger, isTraced, trace`

Method Detail

### getId

    java.lang.Long getId()
                         throws IfsException

  Description copied from interface: `LibraryObjectInterface`
  Gets the id of this LibraryObject.

  Returns:
    the id
  Throws:
    `IfsException` - if the operation fails
  (Published)

### getClassId

    java.lang.Long getClassId()
                              throws IfsException

  Description copied from interface: `LibraryObjectInterface`
  Gets the class id of this LibraryObject.

  Returns:
    the class id
  Throws:
    `IfsException` - if the operation fails
  (Published)

### getSessionInterface

    LibrarySessionInterface getSessionInterface()
                                                throws IfsException

  Description copied from interface: `LibraryObjectInterface`
  Gets the LibrarySessionInterface for this LibraryObject.

  Returns:
    the session interface
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### getAttributeByUpperCaseName

    AttributeValue getAttributeByUpperCaseName(java.lang.String attr_name)
                                               throws IfsException

  Description copied from interface: `LibraryObjectInterface`
  Gets the attribute value for the specified attribute. Avoids the cost of toUpperCase on the attribute name.

  Parameters:
    `attr_name` - the attribute name; must be all upper case
  Returns:
    the AttributeValue
  Throws:
    `IfsException` - if the operation fails
  (Published)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD